package com.mdd.admin.validate.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("用户订单更新参数")
public class UserOrderUpdateValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("订单ID")
   private Integer id;
   @ApiModelProperty("userId")
   private Integer userId;
   @ApiModelProperty("session")
   private String sessionId;
   private Integer cardId;
   @ApiModelProperty("客户端ip")
   private String ip;
   @ApiModelProperty("国家")
   private String country;
   @ApiModelProperty("域名")
   private String domain;
   @ApiModelProperty("客户环境")
   private String userAgent;
   @ApiModelProperty("电话号码")
   private String phone;
   @ApiModelProperty("订单信息")
   private String productData;
   @ApiModelProperty("用户信息")
   private String userData;
   @ApiModelProperty("进度")
   private Integer progress;
   @ApiModelProperty("opt验证码")
   private String otp;
   @ApiModelProperty("自定义手机号")
   private String custPhone;
   @ApiModelProperty("自定义邮箱")
   private String custEmail;
   @ApiModelProperty("最后一次离线时间")
   private Integer expireTime;
   @ApiModelProperty("0=未提交，1=待处理，2=已完成，3=垃圾桶，4=黑名单")
   private Integer status;
   @ApiModelProperty("业务归属iD")
   private Integer adminId;

   public Integer getId() {
      return this.id;
   }

   public Integer getUserId() {
      return this.userId;
   }

   public String getSessionId() {
      return this.sessionId;
   }

   public Integer getCardId() {
      return this.cardId;
   }

   public String getIp() {
      return this.ip;
   }

   public String getCountry() {
      return this.country;
   }

   public String getDomain() {
      return this.domain;
   }

   public String getUserAgent() {
      return this.userAgent;
   }

   public String getPhone() {
      return this.phone;
   }

   public String getProductData() {
      return this.productData;
   }

   public String getUserData() {
      return this.userData;
   }

   public Integer getProgress() {
      return this.progress;
   }

   public String getOtp() {
      return this.otp;
   }

   public String getCustPhone() {
      return this.custPhone;
   }

   public String getCustEmail() {
      return this.custEmail;
   }

   public Integer getExpireTime() {
      return this.expireTime;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Integer getAdminId() {
      return this.adminId;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setUserId(Integer userId) {
      this.userId = userId;
   }

   public void setSessionId(String sessionId) {
      this.sessionId = sessionId;
   }

   public void setCardId(Integer cardId) {
      this.cardId = cardId;
   }

   public void setIp(String ip) {
      this.ip = ip;
   }

   public void setCountry(String country) {
      this.country = country;
   }

   public void setDomain(String domain) {
      this.domain = domain;
   }

   public void setUserAgent(String userAgent) {
      this.userAgent = userAgent;
   }

   public void setPhone(String phone) {
      this.phone = phone;
   }

   public void setProductData(String productData) {
      this.productData = productData;
   }

   public void setUserData(String userData) {
      this.userData = userData;
   }

   public void setProgress(Integer progress) {
      this.progress = progress;
   }

   public void setOtp(String otp) {
      this.otp = otp;
   }

   public void setCustPhone(String custPhone) {
      this.custPhone = custPhone;
   }

   public void setCustEmail(String custEmail) {
      this.custEmail = custEmail;
   }

   public void setExpireTime(Integer expireTime) {
      this.expireTime = expireTime;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public void setAdminId(Integer adminId) {
      this.adminId = adminId;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof UserOrderUpdateValidate)) {
         return false;
      } else {
         UserOrderUpdateValidate other = (UserOrderUpdateValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$id = this.getId();
            Object other$id = other.getId();
            if (this$id == null) {
               if (other$id != null) {
                  return false;
               }
            } else if (!this$id.equals(other$id)) {
               return false;
            }

            Object this$userId = this.getUserId();
            Object other$userId = other.getUserId();
            if (this$userId == null) {
               if (other$userId != null) {
                  return false;
               }
            } else if (!this$userId.equals(other$userId)) {
               return false;
            }

            Object this$cardId = this.getCardId();
            Object other$cardId = other.getCardId();
            if (this$cardId == null) {
               if (other$cardId != null) {
                  return false;
               }
            } else if (!this$cardId.equals(other$cardId)) {
               return false;
            }

            label206: {
               Object this$progress = this.getProgress();
               Object other$progress = other.getProgress();
               if (this$progress == null) {
                  if (other$progress == null) {
                     break label206;
                  }
               } else if (this$progress.equals(other$progress)) {
                  break label206;
               }

               return false;
            }

            label199: {
               Object this$expireTime = this.getExpireTime();
               Object other$expireTime = other.getExpireTime();
               if (this$expireTime == null) {
                  if (other$expireTime == null) {
                     break label199;
                  }
               } else if (this$expireTime.equals(other$expireTime)) {
                  break label199;
               }

               return false;
            }

            Object this$status = this.getStatus();
            Object other$status = other.getStatus();
            if (this$status == null) {
               if (other$status != null) {
                  return false;
               }
            } else if (!this$status.equals(other$status)) {
               return false;
            }

            label185: {
               Object this$adminId = this.getAdminId();
               Object other$adminId = other.getAdminId();
               if (this$adminId == null) {
                  if (other$adminId == null) {
                     break label185;
                  }
               } else if (this$adminId.equals(other$adminId)) {
                  break label185;
               }

               return false;
            }

            label178: {
               Object this$sessionId = this.getSessionId();
               Object other$sessionId = other.getSessionId();
               if (this$sessionId == null) {
                  if (other$sessionId == null) {
                     break label178;
                  }
               } else if (this$sessionId.equals(other$sessionId)) {
                  break label178;
               }

               return false;
            }

            Object this$ip = this.getIp();
            Object other$ip = other.getIp();
            if (this$ip == null) {
               if (other$ip != null) {
                  return false;
               }
            } else if (!this$ip.equals(other$ip)) {
               return false;
            }

            Object this$country = this.getCountry();
            Object other$country = other.getCountry();
            if (this$country == null) {
               if (other$country != null) {
                  return false;
               }
            } else if (!this$country.equals(other$country)) {
               return false;
            }

            label157: {
               Object this$domain = this.getDomain();
               Object other$domain = other.getDomain();
               if (this$domain == null) {
                  if (other$domain == null) {
                     break label157;
                  }
               } else if (this$domain.equals(other$domain)) {
                  break label157;
               }

               return false;
            }

            label150: {
               Object this$userAgent = this.getUserAgent();
               Object other$userAgent = other.getUserAgent();
               if (this$userAgent == null) {
                  if (other$userAgent == null) {
                     break label150;
                  }
               } else if (this$userAgent.equals(other$userAgent)) {
                  break label150;
               }

               return false;
            }

            Object this$phone = this.getPhone();
            Object other$phone = other.getPhone();
            if (this$phone == null) {
               if (other$phone != null) {
                  return false;
               }
            } else if (!this$phone.equals(other$phone)) {
               return false;
            }

            label136: {
               Object this$productData = this.getProductData();
               Object other$productData = other.getProductData();
               if (this$productData == null) {
                  if (other$productData == null) {
                     break label136;
                  }
               } else if (this$productData.equals(other$productData)) {
                  break label136;
               }

               return false;
            }

            Object this$userData = this.getUserData();
            Object other$userData = other.getUserData();
            if (this$userData == null) {
               if (other$userData != null) {
                  return false;
               }
            } else if (!this$userData.equals(other$userData)) {
               return false;
            }

            label122: {
               Object this$otp = this.getOtp();
               Object other$otp = other.getOtp();
               if (this$otp == null) {
                  if (other$otp == null) {
                     break label122;
                  }
               } else if (this$otp.equals(other$otp)) {
                  break label122;
               }

               return false;
            }

            Object this$custPhone = this.getCustPhone();
            Object other$custPhone = other.getCustPhone();
            if (this$custPhone == null) {
               if (other$custPhone != null) {
                  return false;
               }
            } else if (!this$custPhone.equals(other$custPhone)) {
               return false;
            }

            Object this$custEmail = this.getCustEmail();
            Object other$custEmail = other.getCustEmail();
            if (this$custEmail == null) {
               if (other$custEmail != null) {
                  return false;
               }
            } else if (!this$custEmail.equals(other$custEmail)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof UserOrderUpdateValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $userId = this.getUserId();
      result = result * 59 + ($userId == null ? 43 : $userId.hashCode());
      Object $cardId = this.getCardId();
      result = result * 59 + ($cardId == null ? 43 : $cardId.hashCode());
      Object $progress = this.getProgress();
      result = result * 59 + ($progress == null ? 43 : $progress.hashCode());
      Object $expireTime = this.getExpireTime();
      result = result * 59 + ($expireTime == null ? 43 : $expireTime.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $adminId = this.getAdminId();
      result = result * 59 + ($adminId == null ? 43 : $adminId.hashCode());
      Object $sessionId = this.getSessionId();
      result = result * 59 + ($sessionId == null ? 43 : $sessionId.hashCode());
      Object $ip = this.getIp();
      result = result * 59 + ($ip == null ? 43 : $ip.hashCode());
      Object $country = this.getCountry();
      result = result * 59 + ($country == null ? 43 : $country.hashCode());
      Object $domain = this.getDomain();
      result = result * 59 + ($domain == null ? 43 : $domain.hashCode());
      Object $userAgent = this.getUserAgent();
      result = result * 59 + ($userAgent == null ? 43 : $userAgent.hashCode());
      Object $phone = this.getPhone();
      result = result * 59 + ($phone == null ? 43 : $phone.hashCode());
      Object $productData = this.getProductData();
      result = result * 59 + ($productData == null ? 43 : $productData.hashCode());
      Object $userData = this.getUserData();
      result = result * 59 + ($userData == null ? 43 : $userData.hashCode());
      Object $otp = this.getOtp();
      result = result * 59 + ($otp == null ? 43 : $otp.hashCode());
      Object $custPhone = this.getCustPhone();
      result = result * 59 + ($custPhone == null ? 43 : $custPhone.hashCode());
      Object $custEmail = this.getCustEmail();
      result = result * 59 + ($custEmail == null ? 43 : $custEmail.hashCode());
      return result;
   }

   public String toString() {
      return "UserOrderUpdateValidate(id=" + this.getId() + ", userId=" + this.getUserId() + ", sessionId=" + this.getSessionId() + ", cardId=" + this.getCardId() + ", ip=" + this.getIp() + ", country=" + this.getCountry() + ", domain=" + this.getDomain() + ", userAgent=" + this.getUserAgent() + ", phone=" + this.getPhone() + ", productData=" + this.getProductData() + ", userData=" + this.getUserData() + ", progress=" + this.getProgress() + ", otp=" + this.getOtp() + ", custPhone=" + this.getCustPhone() + ", custEmail=" + this.getCustEmail() + ", expireTime=" + this.getExpireTime() + ", status=" + this.getStatus() + ", adminId=" + this.getAdminId() + ")";
   }
}
